#!/usr/bin/env python
# coding: utf8
# ------------------------------------------------------------------------------------
# python 2.7.10 and pyserial2.7
# HW: FOTEMP-OEM-PLUS 4CH
# ------------------------------------------------------------------------------------
# TEST SETTINGS ...
COMPORT = 'COM7'
COMPORT_TIMEOUT = 1			# in seconds
COMPORT_SPEED = 57600		# in baud
# ------------------------------------------------------------------------------------
import serial,time
from datetime import datetime
DEBUG=0
#DEBUG=1

def get_temp(ser):
	rc1=""
	ser.write("?02\r\n")
	rc1 =ser.readline()
	rc1+=ser.readline()
	if DEBUG==1: print "rc1="+rc1
	rc2=rc1.split('\r')[0]
	if DEBUG==1: print "rc2="+rc2
	rc3=rc2.split(' ')
	if DEBUG==1: print "rc3="+str(rc3)
	return rc3[1:]

def get_id_addr(ser):
	rc1=""
	ser.write("?41\r\n")
	rc1 =ser.readline()
	rc1+=ser.readline()
	rc2=rc1.split('\n')
	rc3=rc2[0].replace('\r','')
	rc3=rc3.replace("#41",'')
	rc3=rc3.replace(' ','')
	rc3=rc3.replace('3','')
	return rc3

if __name__ == "__main__":
	print "*start at "+datetime.now().strftime('%Y-%m-%d %H:%M:%S.%f')
	ser = serial.Serial(COMPORT, COMPORT_SPEED, timeout=COMPORT_TIMEOUT)
	print "*used com port: ",ser.name
	print "*dev_id="+ get_id_addr(ser)
	while 1:
		s=datetime.now().strftime('%Y-%m-%d %H:%M:%S.%f')
		temperatures=get_temp(ser)
		#print temperatures
		s=s+" C1: "+str(int(temperatures[0])/10.0)
		s=s+" C2: "+str(int(temperatures[1])/10.0)
		s=s+" C3: "+str(int(temperatures[2])/10.0)
		s=s+" C4: "+str(int(temperatures[3])/10.0)
		print s
		time.sleep(1) #sec
	#print "*done"
	#ser.close()
